/*
 * DESCRIPTION:
 * sdl.c header.
*/

#pragma once

#define SDL_MAIN_HANDLED

#include <SDL2/SDL.h>
#include <SDL2/SDL_image.h>
#include <SDL2/SDL_mixer.h>
#include <SDL2/SDL_ttf.h>
#include "../COMMON.h"

#define MIX_FREQUENCY 44100
#define MIX_SAMPLE_SIZE 2048

#define IMG_FLAGS (IMG_INIT_PNG)

void sdl_init(void);
void sdl_quit(void);
